Package org.apache.synapse.mediators.bsf.access.control

# Class SandboxNativeJavaObject

java.lang.Object
org.mozilla.javascript.NativeJavaObject
org.apache.synapse.mediators.bsf.access.control.SandboxNativeJavaObject

All Implemented Interfaces:
  `Serializable`, `org.mozilla.javascript.Scriptable`, `org.mozilla.javascript.SymbolScriptable`, `org.mozilla.javascript.Wrapper`

public class SandboxNativeJavaObject extends org.mozilla.javascript.NativeJavaObject
Provides native Java objects to the sandbox, after necessary access control filtering.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.mozilla.javascript.NativeJavaObject

  `isAdapter, javaObject, members, parent, prototype, staticType`

  ### Fields inherited from interface org.mozilla.javascript.Scriptable

  `NOT_FOUND`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SandboxNativeJavaObject(org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType, org.apache.synapse.script.access.AccessControlConfig nativeObjectAccessControlConfig)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get(String name, org.mozilla.javascript.Scriptable start)`

  ### Methods inherited from class org.mozilla.javascript.NativeJavaObject

  `canConvert, coerceType, createInterfaceAdapter, delete, delete, delete, get, get, getClassName, getDefaultValue, getIds, getParentScope, getPrototype, has, has, has, hasInstance, initMembers, put, put, put, setParentScope, setPrototype, unwrap, wrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SandboxNativeJavaObject

    public SandboxNativeJavaObject(org.mozilla.javascript.Scriptable scope, Object javaObject, Class staticType, org.apache.synapse.script.access.AccessControlConfig nativeObjectAccessControlConfig)

- ## Method Details

  - ### get

    public Object get(String name, org.mozilla.javascript.Scriptable start)
    Specified by:
      `get` in interface `org.mozilla.javascript.Scriptable`
    Overrides:
      `get` in class `org.mozilla.javascript.NativeJavaObject`